
Sprint-6 - Task #1677

Intranet User Profile

08/26/2019 04:16 PM - Yazan Awad

Status: Closed Start date: 08/26/2019

Priority: Normal Due date:  

Assignee: Yazan Awad % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers: Saed Al Qudah Environment: QA

Severity: Normal Transaction Number:  

Category: Intranet Username:  

Sub-Category:  Browser:  

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result:  Actual Finish Date:  

Actual Result:  SERVICE_ID: 534

Description

History

#1 - 10/27/2019 12:31 PM - Yazan Awad

- Project changed from MOSA Backlog to Sprint-5

- SERVICE_ID set to 6

#2 - 11/10/2019 04:50 PM - Yazan Awad

- Project changed from Sprint-5 to MOSA Backlog

#3 - 11/10/2019 05:07 PM - Yazan Awad

- Project changed from MOSA Backlog to Sprint-6

- SERVICE_ID set to 17

#4 - 11/12/2019 03:23 PM - Yazan Awad

- File [MoSA Portal] Intranet_User_Profile_FRD.docx added

- Assignee changed from Zaid Shakboua to Yazan Awad

#5 - 11/12/2019 05:58 PM - Yazan Awad

- Assignee changed from Yazan Awad to Zaid Shakboua

- % Done changed from 0 to 80

- Co-Workers Saed Al Qudah added

Verbal Feedback was given to Zaid an all of the cases were handled.

The only feedback remaining is the Job Title for the employee to be reflected on the User Card in the Intranet Home Page.

And we can make as an enhancement the alignment of the fields when editing the profile.

The Test script has been written and all of the other cases are tested and verified.
#6 - 11/12/2019 07:37 PM - Zaid Shakboua

- Assignee changed from Zaid Shakboua to Yazan Awad

"Job Title for the employee" issue solved, it is actually a complex value consist of the position and the department. Also, the employee display name

can be changed, but this will not change the actual username, to handle this, i change the user profile card to display for the actual name and the user

display name in form "Display Name (username)" when their values do not match.

Note: nothing will be displayed if the position and department are empty.

#7 - 11/13/2019 10:06 AM - Yazan Awad

- File Arabic.PNG added

- File English.PNG added

- Assignee changed from Yazan Awad to Zaid Shakboua

- % Done changed from 80 to 90

The ordering of the displayed fields in the User Card does not match between arabic and english

#8 - 11/14/2019 12:46 PM - Yazan Awad

- File [MoSA Portal] - Intranet User Profile.xlsx added

- Status changed from Open to Closed

- Assignee changed from Zaid Shakboua to Yazan Awad

- % Done changed from 90 to 100

- Environment QA added

- Environment deleted (Development)

All issues where handled, the test script is attached, thank you.

#9 - 11/24/2019 05:38 PM - Yazan Awad

- Project changed from Sprint-6 to MOSA Backlog

#10 - 11/24/2019 05:56 PM - Yazan Awad

- Project changed from MOSA Backlog to Sprint-6

- SERVICE_ID set to 534

Files

[MoSA Portal] Intranet_User_Profile_FRD.docx 60.7 KB 08/26/2019 Yazan Awad

[MoSA Portal] Intranet_User_Profile_FRD.docx 295 KB 11/12/2019 Yazan Awad

Arabic.PNG 13.1 KB 11/13/2019 Yazan Awad

English.PNG 13.3 KB 11/13/2019 Yazan Awad

[MoSA Portal] - Intranet User Profile.xlsx 19.1 KB 11/14/2019 Yazan Awad
